#!/bin/sh

/usr/local/bin/gomplate -V -o /etc/php7/php.ini -f /etc/templates/php.ini.tmpl
/usr/local/bin/gomplate -V -o /var/www/app/data/config.php -f /etc/templates/config.php.tmpl
/usr/local/bin/gomplate -V -o /var/www/app/constants.local.php -f /etc/templates/constants.local.php.tmpl

printf "\nPrepare FreshRSS...\n"
PREP=$(/usr/bin/phpp -f ./cli/prepare.php)
if [ $? -ne 0 ]; then
    echo $PREP
    exit 1
fi

if [ "${FRESHRSS_DEFAULT_USER}" ]; then
    printf "\nEnsure default user exists...\n"
    UCREATE=$(/usr/bin/php ./cli/create-user.php --user "$FRESHRSS_DEFAULT_USER" --password "$FRESHRSS_DEFAULT_PASSWORD" 2>&1)
    if [ $? -ne 0 ]; then
        case "$UCREATE" in
          *"username already taken"*) echo "Result: success" ;;
          *)
          echo $UCREATE
          exit 1
          ;;
        esac
    fi 

    printf "\nEnsure FreshRSS is installed...\n"
    INSTALL=$(/usr/bin/php ./cli/do-install.php --default_user "$FRESHRSS_DEFAULT_USER" 2>&1)
    if [ $? -ne 0 ]; then
        case "$INSTALL" in
          *"already installed"*) 
          /usr/bin/php ./cli/reconfigure.php --default_user "$FRESHRSS_DEFAULT_USER"
          ;;
          *)
          echo $INSTALL
          exit 1
          ;;
        esac
    fi
fi

exec supercronic -split-logs /etc/crontabs/nginx 1> /dev/null &
exec php-fpm7 -F &
exec nginx -g "daemon off;"
